org.springframework.data.web

## Class ReactiveSortHandlerMethodArgumentResolver

- java.lang.Object
- - org.springframework.data.web.SortHandlerMethodArgumentResolverSupport
  - - org.springframework.data.web.ReactiveSortHandlerMethodArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver, SyncHandlerMethodArgumentResolver

    public class ReactiveSortHandlerMethodArgumentResolver
    extends SortHandlerMethodArgumentResolverSupport
    implements SyncHandlerMethodArgumentResolver

Reactive `HandlerMethodArgumentResolver` to create `Sort` instances from query string parameters or `SortDefault` annotations.

Since:
  2.2
Author:
  Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`ReactiveSortHandlerMethodArgumentResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Sort` `resolveArgumentValue(MethodParameter parameter, BindingContext bindingContext, ServerWebExchange exchange)`
`boolean` `supportsParameter(MethodParameter parameter)`

### Methods inherited from class org.springframework.data.web.SortHandlerMethodArgumentResolverSupport

`foldIntoExpressions, getDefaultFromAnnotationOrFallback, getPropertyDelimiter, getSortParameter, legacyFoldExpressions, setFallbackSort, setPropertyDelimiter, setQualifierDelimiter, setSortParameter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.reactive.result.method.SyncHandlerMethodArgumentResolver

`resolveArgument`

### Constructor Detail

#### ReactiveSortHandlerMethodArgumentResolver

    public ReactiveSortHandlerMethodArgumentResolver()

### Method Detail

#### supportsParameter

    public boolean supportsParameter(MethodParameter parameter)

Specified by:
  `supportsParameter` in interface `HandlerMethodArgumentResolver`

#### resolveArgumentValue

    @Nonnull
    public Sort resolveArgumentValue(MethodParameter parameter,
                                              BindingContext bindingContext,
                                              ServerWebExchange exchange)

Specified by:
  `resolveArgumentValue` in interface `SyncHandlerMethodArgumentResolver`